#
# Conditional build:
%bcond_with	doc	# Sphinx documentation (fails to build)
%bcond_without	tests	# unit tests

%define		module	cachetools
Summary:	Extensible memoizing collections and decorators
Summary(pl.UTF-8):	Rozszerzalne kolekcje i dekoratory z pamięcią
Name:		python3-%{module}
Version:	5.5.2
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/cachetools/
Source0:	https://files.pythonhosted.org/packages/source/c/cachetools/%{module}-%{version}.tar.gz
# Source0-md5:	bc4019928cf73ca154ff5416280282bb
URL:		https://github.com/tkem/cachetools
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
# python3 module packaged under wrong name
Obsoletes:	python-cachetools < 5.5.2-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides various memoizing collections and decorators,
including variants of the Python Standard Library's @lru_cache
function decorator.

%description -l pl.UTF-8
Ten moduł udostępnia różne kolekcje i dekoratory z pamięcią, w tym
warianty dekoratora funkcji @lru_cache z biblioteki standardowej
Pythona.

%package apidocs
Summary:	%{module} API documentation
Summary(pl.UTF-8):	Dokumentacja API modułu %{module}
Group:		Documentation

%description apidocs
API documentation for %{module}.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu %{module}.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd)/src \
sphinx-build-3 -b html docs docs/_build/html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Wed Jun 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-cachetools.git;a=log;h=master

* Wed Jun 04 2025 Jan Rękorajski <baggins@pld-linux.org> 1afc7ee
- Release 3 (by relup.sh)

* Tue Jun 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 5649d36
- obsolete package with mistaken name; release 2

* Tue Jun 03 2025 Jakub Bogusz <qboosh@pld-linux.org> 85b641a
- package CHANGELOG.rst

* Mon Jun 02 2025 Jakub Bogusz <qboosh@pld-linux.org> acd682b
- updated packaging

* Mon Jun 02 2025 Jakub Bogusz <qboosh@pld-linux.org> 1d7e03a
- fixed Name

* Thu Mar 27 2025 Jan Rękorajski <baggins@pld-linux.org> cc5c94a
- up to 5.5.2

* Thu Mar 27 2025 Jan Rękorajski <baggins@pld-linux.org> babe6db
- rel 15, disable python3

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 209b47e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1651e01
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e1c33bc
- rebuild with tests and docs

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 9729418
- Release 11 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 5e69353
- drop python3-distribute deps

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 44d61be
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> d79e334
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> 341aa5e
- release 8 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 998a2cc
- rebuild with python 3.8
- release 7 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2312d5c
- python 3.7 rebuild
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c929b3
- python 3.6
- release 5 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5e22599
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cfe785f
- release 4 (by relup.sh)

